Bug 1336428 - rhsm-icon -i fails with libnotify-CRITICAL and GLib-GObject-CRITICAL errors
Summary: rhsm-icon -i fails with libnotify-CRITICAL and GLib-GObject-CRITICAL errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 12:52 UTC by Rehana
Modified: 2020-01-17 15:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:29:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1466 None closed 1336428: Check notification object before use 2020-05-11 09:39:03 UTC
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Rehana 2016-05-16 12:52:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):
subscription-manager: 1.17.5-1.el7
python-rhsm: 1.17.2-1.el7


How reproducible:
3/3

Steps to Reproduce:
1.execute rhsm-icon -i
2.wait for the icon 
3.

Actual results:
Observed the error message, and icon never appeared
 
# rhsm-icon -i

(rhsm-icon:5420): libnotify-CRITICAL **: notify_notification_close: assertion 'NOTIFY_IS_NOTIFICATION (notification)' failed

(rhsm-icon:5420): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(rhsm-icon:5420): libnotify-CRITICAL **: notify_notification_close: assertion 'NOTIFY_IS_NOTIFICATION (notification)' failed

(rhsm-icon:5420): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed



Expected results:
rhsm-icon should pop-up 

Additional info:

Comment 1 Rehana 2016-05-16 13:06:14 UTC
Update, the same behaviour is observed with rhsm -c option as well. Basically the icon is not appearing and observed the same error on cli

Comment 7 Paul Dudley 2016-07-29 15:21:43 UTC
Another case has been found that seems to match this issue exactly - logs can be provided upon request. The problem seems very simple to reproduce and any information needed should be able to be provided by the case attached.

Comment 12 William Poteat 2016-08-10 15:28:25 UTC
Still not able to reproduce locally. SOS report attached to support does not show any rhsm specific issues.

If it happens again, it would be a good idea to get in touch with the dbus folks to determine if they are seeing a hiccup in versions of RHEL. Those errors are not caused by Sub Man, but are shown when Sub Man tries to use dbus.

Comment 13 rick.beldin@hpe.com 2016-08-10 20:35:07 UTC
Extraordinarily easy to reproduce the error with subscription-manager-gui, even on a VM, with the desktop. 

Need to have active registrations or it does nothing.

Comment 14 rick.beldin@hpe.com 2016-08-10 20:43:15 UTC
In the RH ticket 01675022

This is trivial to reproduce and can be done on a VM. I would think that this can be worked independently of any customer data. 
1. Install 7.2 
2. Login to graphical desktop 
3. subscription-manager-gui from shell or gnome. 
4. Look at journalctl output

Comment 15 William Poteat 2016-08-11 12:31:25 UTC
Very simple, extraordinarily easy, and trivial PR at

https://github.com/candlepin/subscription-manager/pull/1466

Comment 16 rick.beldin@hpe.com 2016-08-11 15:19:20 UTC
That looks good. 

What I am not sure of is what the interval is that rhsm-icon uses.  The man page says every 4 hours, but is that from when it is started, or based on some absolute value based on wall clock?  If the latter, could explain part of difficulty in reproducing.

Comment 17 William Poteat 2016-08-11 15:50:59 UTC
The reproducer is that the system must be registered and fully compliant for the issue to surface.

Comment 21 Shwetha Kallesh 2016-08-30 07:19:06 UTC
Reproducer with the version:

[root@dhcp35-25 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.10-1.el7
python-rhsm: 1.17.6-1.el7


[root@dhcp35-25 ~]# rhsm-icon -i

(rhsm-icon:6753): libnotify-CRITICAL **: notify_notification_close: assertion 'NOTIFY_IS_NOTIFICATION (notification)' failed

(rhsm-icon:6753): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(rhsm-icon:6753): libnotify-CRITICAL **: notify_notification_close: assertion 'NOTIFY_IS_NOTIFICATION (notification)' failed

(rhsm-icon:6753):

Comment 22 Shwetha Kallesh 2016-08-30 08:58:17 UTC
No error message is seen with following version:

[root@dhcp35-25 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.11-1.el7
python-rhsm: 1.17.7-1.el7


No error message in journalctl

Aug 30 14:19:08 dhcp35-25.lab.eng.blr.redhat.com dbus[668]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Aug 30 14:19:08 dhcp35-25.lab.eng.blr.redhat.com dbus-daemon[668]: dbus[668]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Aug 30 14:19:08 dhcp35-25.lab.eng.blr.redhat.com dbus[668]: [system] Successfully activated service 'org.freedesktop.problems'
Aug 30 14:19:08 dhcp35-25.lab.eng.blr.redhat.com dbus-daemon[668]: dbus[668]: [system] Successfully activated service 'org.freedesktop.problems'
Aug 30 14:19:23 dhcp35-25.lab.eng.blr.redhat.com systemd[1]: Starting Cleanup of Temporary Directories...
Aug 30 14:19:23 dhcp35-25.lab.eng.blr.redhat.com systemd[1]: Started Cleanup of Temporary Directories.
Aug 30 14:20:01 dhcp35-25.lab.eng.blr.redhat.com systemd[1]: Started Session 4 of user root.
Aug 30 14:20:01 dhcp35-25.lab.eng.blr.redhat.com systemd[1]: Starting Session 4 of user root.
Aug 30 14:20:01 dhcp35-25.lab.eng.blr.redhat.com CROND[3885]: (root) CMD (/usr/lib64/sa/sa1 1 1)

Comment 24 errata-xmlrpc 2016-11-03 20:29:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.